POST
/businesses/{bid}/servicesAdd a service
POST /businesses/{bid}/services
Requires the businesses scope.
Up to 200 per business. Answers whether or not the calendar is on.
Path parameters
| Name | Type | Description | |
|---|---|---|---|
bid | string | required | Business id, from POST /businesses. |
Body
| Field | Type | Description | |
|---|---|---|---|
name | string | Required on create. ≤120 chars. | |
minutes | integer | 5..1440. Default 60. | |
priceAgorot | integer | Integer agorot (₪1 = 100). | |
priceMode | string | One of: gross, net. Default gross. | |
color | string | #RRGGBB | |
active | boolean | ||
sortOrder | integer |
Response
201: { "ok": true, … }
| Field | Type | Description | |
|---|---|---|---|
ok | boolean | required | |
service | Service | required | Something the business sells by the appointment. Picking it fills an appointment's length, price and title. |
Errors: 400, 401, 403, 404, 429. Every failure answers { "error", "reason", "hint", "param", "doc_url", "retryable", "request_id" }: branch on reason, and read hint for what to change (https://docs.billos.co.il/errors.md).